FIND_PATH(comm_INCLUDE_DIRS comm.h commexceptions.h cqueue.h rs232.h rs232exceptions.h ftdiserver.h ftdimodule.h ftdiexcetpions.h socket.h socketclient.h socketserver.h socketexceptions.h socketudp.h can.h virtual_can.h /usr/local/include/iri/comm /usr/include/iri/comm)

FIND_LIBRARY(comm_LIBRARIES
    NAMES comm
    PATHS /usr/local/lib/iri/comm /usr/lib/iri/comm)

SET(comm_INCLUDE_DIR ${comm_INCLUDE_DIRS})
SET(comm_LIBRARY    ${comm_LIBRARIES})

IF (comm_INCLUDE_DIRS AND comm_LIBRARIES)
   SET(comm_FOUND TRUE)
ENDIF (comm_INCLUDE_DIRS AND comm_LIBRARIES)

IF (comm_FOUND)
   IF (NOT comm_FIND_QUIETLY)
      MESSAGE(STATUS "Found comm library: ${comm_LIBRARIES}")
   ENDIF (NOT comm_FIND_QUIETLY)
ELSE (comm_FOUND)
   IF (comm_FIND_REQUIRED)
      MESSAGE(FATAL_ERROR "Could not find comm library")
   ENDIF (comm_FIND_REQUIRED)
ENDIF (comm_FOUND)

